<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_lti', language 'cs', version '4.0'.
 *
 * @package     enrol_lti
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addcontent'] = 'Přidat obsah';
$string['adddeployment:deploymentid'] = 'implementace';
$string['adddeployment:deploymentid_help'] = 'Každé implementace nástroje (tyto stránky) na platformě bude přiřazeno ID implementace, které je jedinečné pro registraci. ID implementace musí být zaregistrováno v nástroji (na této stránce), než bude povoleno spuštění z příslušného nasazení nástroje.';
$string['adddeployment:invaliddeploymentiderror'] = 'Neplatné ID implementace. Toto ID implementace již pro tuto registraci aplikace existuje.';
$string['adddeployment:name'] = 'Název implementace';
$string['addtocourse'] = 'Přidat do kurzu';
$string['addtogradebook'] = 'Přidat do přehledu hodnocení';
$string['allowframeembedding'] = 'Poznámka: Je doporučeno, aby bylo povoleno nastavení "Povolit vkládání do rámce", takže nástroje jsou zobrazeny v rámci, nikoli v novém okně.';
$string['authltimustbeenabled'] = 'Poznámka: Aby to bylo možné, tento modul vyžaduje autentizační LTI modul.';
$string['cartridgeurl'] = 'URL balíčku';
$string['copiedtoclipboard'] = '{$a} zkopírováno do schránky';
$string['copytoclipboard'] = 'Zkopírovat do schránky';
$string['couldnotestablishproxy'] = 'Nelze navázat proxy se spotřebitelem.';
$string['customproperties'] = 'Vlastní vlastnosti';
$string['deeplinkingurl'] = 'Přímé odkazování URL';
$string['deletedactivity'] = 'Odstraněná aktivita';
$string['deletedactivityalt'] = 'Aktivita sdílená touto instancí byla odstraněna';
$string['deletedactivitydescription'] = 'Aktivita sdílená touto instancí byla odstraněna. Úpravou instance můžete vybrat jinou aktivitu, kterou chcete sdílet, nebo, pokud ji již nepotřebujete, můžete instanci jednoduše odstranit. Odstraněním instance odstraníte všechny související registrace uživatelů.';
$string['deploymentadd'] = 'Přidat implementaci';
$string['deploymentaddnotice'] = 'Implementace přidána';
$string['deploymentdelete'] = 'Odstranit implementaci';
$string['deploymentdeleteconfirm'] = 'Upozornění: Odstranění implementace bude mít za následek ztrátu přístupu pro všechny uživatele, kteří budou následovat odkazy na zdroje spojené s nasazením tohoto nástroje na platformě. Pro tyto zdroje budou také odebrány služby synchronizace členů a hodnocení. Opravdu chcete smazat implementaci ID "{$a}"?';
$string['deploymentdeletenotice'] = 'Implementace odstraněna';
$string['deploymentid'] = 'ID implementace';
$string['deployments'] = 'Implementace';
$string['deploymentsinfo'] = 'Když je nástroj zpřístupněn v kontextu, platforma vygeneruje ID implementace. K tomu může dojít v době registrace nebo může nastat později, když je nástroj zpřístupněn pro konkrétní kurz nebo kategorii. Než bude povoleno spuštění z nasazení nástroje, je zde nutné zadat ID implementace.';
$string['details'] = 'Podrobnosti';
$string['editplatformdetails'] = 'Upravit podrobnosti o platformě';
$string['endpointltiversionnotice'] = 'Koncové body nástroje níže jsou určeny pouze pro ruční nastavení LTI 1.3. U dřívějších verzí (1.1/2.0) lze podrobnosti pro spotřebitele nalézt na stránce „Publikováno jako nástroje LTI“, která je přístupná prostřednictvím navigace v kurzu.';
$string['enrolenddate'] = 'Datum ukončení';
$string['enrolenddate_help'] = 'Pokud je povoleno, mají uživatelé přistup pouze do toto data.';
$string['enrolenddateerror'] = 'Datum ukončení zápisu nesmí být starší než datum zahájení';
$string['enrolisdisabled'] = 'Modul "Publikovat jako externí nástroj" není povolen';
$string['enrolmentfinished'] = 'Zápis ukončen.';
$string['enrolmentnotstarted'] = 'Zápis nebyl zahájen.';
$string['enrolperiod'] = 'Trvání zápisu';
$string['enrolperiod_help'] = 'Doba, po kterou je proces zápisu povolen, počínaje okamžikem, od kdy se uživatel zapisuje ze vzdáleného systému. Pokud je zakázáno, doba zápisu je neomezená.';
$string['enrolstartdate'] = 'Datum zahájení';
$string['enrolstartdate_help'] = 'Pokud je povoleno, mohou uživatelé přistupovat až od tohoto data.';
$string['existingregistrationerror'] = 'Pro tohoto vydavatele a ID klienta již existuje registrace.';
$string['failedrequest'] = 'Neúspěšný požadavek. Důvod: {$a->reason}';
$string['frameembeddingnotenabled'] = 'Pro přístup k nástrojům, použijte prosím odkaz.';
$string['gradesync'] = 'Synchronizace hodnocení';
$string['gradesync_help'] = 'Zda jsou známky z nástroje odesílány do vzdáleného systému (LTI spotřebitele).';
$string['incorrecttoken'] = 'Token byl chybný. Zkontrolujte URL a zkuste to znovu nebo kontaktujte správce tohoto nástroje.';
$string['invalidexpiredregistrationurl'] = 'Neplatná nebo vypršela registrační adresa URL. Zkontrolujte prosím adresu URL a zkuste to znovu.';
$string['invalidrequest'] = 'Neplatný požadavek';
$string['invalidtoolconsumer'] = 'Neplatný nástroj spotřebitele';
$string['jwksurl'] = 'Adresa URL JWKS';
$string['launchdetails'] = 'Podrobnosti spuštění';
$string['launchdetails_help'] = 'Pro konfigurování nástroje je vyžadována URL adresa balíčku (nazývaná též konfigurační adresa URL) plus sdílený klíč nebo spouštěcí adresa URL.';
$string['launchurl'] = 'URL spuštění';
$string['loginurl'] = 'Spustit přihlašovací adresu URL';
$string['lti13'] = 'Pokročilý LTI';
$string['lti13launchdetails'] = 'Podrobnosti o spuštění';
$string['lti13launchdetails_help'] = 'Spouštěcí adresa URL a vlastní vlastnosti jsou vyžadovány pouze při ruční konfiguraci odkazu na zdroj na platformě. Pokud je to možné, měli by učitelé upřednostňovat proces výběru obsahu (hluboké propojení) pro vytváření odkazů na zdroje.';
$string['lti:config'] = 'Konfigurace instance "Publikovat jako externí nástroj"';
$string['lti:unenrol'] = 'Vyškrtnou uživatele z kurzu';
$string['ltiadvdynregerror:invalidopenidconfigjson'] = 'Při načítání konfigurace OpenID z platformy došlo k problému. Výsledek nebyl platný JSON. To může být také způsobeno zablokovanou konfigurací hostitelů. Ujistěte se, že je váš web nakonfigurován pro připojení k doméně platformy, a zkuste to znovu s novou registrační adresou URL.';
$string['ltiadvlauncherror:invaliddeployment'] = 'Neplatná data spuštění nebo konfigurace nástroje. Nasazení nebylo nalezeno (implementace ID: {$a}).';
$string['ltiadvlauncherror:invalidid'] = 'Neplatná data spuštění. Zdroj "{$a}" je nedostupný nebo neexistuje.';
$string['ltiadvlauncherror:invalidregistration'] = 'Neplatná data spuštění nebo konfigurace nástroje. Nebyla nalezena registrace platformy (vydavatel: {$a->platform}, klient ID: {$a->clientid}).';
$string['ltiadvlauncherror:missingid'] = 'Neplatná data spuštění. Vlastní pole nároku "id" je vyžadováno ke spuštění aktivity nebo zdroje přes pokročilé LTI.';
$string['ltilegacy'] = 'Starší LTI (1.1 / 2.0)';
$string['ltilegacydeprecatednotice'] = 'Starší nástroje LTI (1.1/2.0) jsou zastaralé. Obsah by nyní měl být sdílen pomocí pokročilé LTI.';
$string['ltiversion'] = 'LTI verze';
$string['ltiversion_help'] = 'Verze LTI, která bude použita pro přístup k publikovanému obsahu.

Pokročilé LTI umožňuje publikování obsahu na předem registrované platformy bez nutnosti provádět změny na platformě, kdykoli je publikován nový obsah. Smlouva o zabezpečení je uzavřena mezi platformou a nástrojem.

Starší verze (1.1 a 2.0) vyžadují, aby byla u spotřebitele vytvořena registrace nového nástroje pro každý nově publikovaný obsah, protože každý publikovaný obsah má vlastní smlouvu o zabezpečení se spotřebitelským webem a musí být nastaven na případu do případový základ.';
$string['managedeployments'] = 'Spravovat implementace';
$string['maxenrolled'] = 'Maximum zapsaných uživatelů';
$string['maxenrolled_help'] = 'Maximální počet vzdálených uživatelů, kteří mohou k nástroji přistupovat. Pokud je nastavena nula, počet přihlášených uživatelů je neomezený.';
$string['maxenrolledreached'] = 'Bylo dosaženo maximálního počtu vzdálených uživatelů, pro které byl povolen přístup k tomuto nástroji.';
$string['membersync'] = 'Synchronizace uživatelů';
$string['membersync_help'] = 'Zda je naplánovaná úloha synchronizuje zapsané uživatele ve vzdáleném systému se zápisem v tomto kurzu, nezbytné vytváření účtu pro každého vzdáleného uživatele, a je-li požadováno, zápis nebo odhlášení uživatelů.

Je-li nastavena na hodnotu Ne, v okamžiku, kdy vzdálený uživatel přistoupí k nástroji, bude pro ně účet vytvořen a oni budou automaticky zapsáni.';
$string['membersyncmode'] = 'Režim synchronizace uživatelů';
$string['membersyncmode_help'] = 'Zda by měli být vzdálení uživatelé zapsáni a/nebo odhlášeni z tohoto kurzu.';
$string['membersyncmodeenrolandunenrol'] = 'Zapsat nové a vyškrtnout chybějící uživatele';
$string['membersyncmodeenrolnew'] = 'Zapsat nové uživatele';
$string['membersyncmodeunenrolmissing'] = 'Vyškrtnout chybějící uživatele';
$string['moodle'] = 'Moodle';
$string['nodeployments'] = 'Nebyly nalezeny žádné implementace nástroje';
$string['nopublishedcontent'] = 'Zatím nejsou zveřejněny žádné zdroje ani aktivity';
$string['noregisteredplatforms'] = 'Žádné registrované platformy';
$string['notoolsprovided'] = 'Nejsou poskytovány žádné nástroje';
$string['opensslconfiginvalid'] = 'LTI 1.3 vyžaduje, aby byl nakonfigurován platný openssl.cnf a aby byl dostupný pro váš webový server. Obraťte se na správce webu, aby nakonfiguroval a povolil openssl pro tento web.';
$string['opentool'] = 'Otevřít nástroj';
$string['platformdetails'] = 'Detaily platformy';
$string['platformdetailsinfo'] = 'Jakmile je nástroj v platformě nastaven, je třeba zde zaznamenat podrobnosti z platformy, aby byla registrace dokončena.
<ul>
<li>U dynamických registrací budou tyto informace nastaveny automaticky a nejsou nutné žádné další změny</li>
<li>U ručních registrací je nutné tyto informace ručně zkopírovat z platformy.</li>
 </ul>';
$string['pluginname'] = 'Publikovat jako externí nástroj';
$string['pluginname_desc'] = 'Modul "Publikovat jako externí nástroj"  spolu s autentizačním modulem LTI, umožňuje vzdáleným uživatelům přístup k vybraným kurzům a aktivitám. Jinými slovy, Moodle funguje jako poskytovatel LTI nástrojů.';
$string['privacy:metadata:enrol_lti_users'] = 'Seznam uživatelů zapsaných prostřednictvím poskytovatele LTI';
$string['privacy:metadata:enrol_lti_users:lastaccess'] = 'Čas zápisu uživatele';
$string['privacy:metadata:enrol_lti_users:lastgrade'] = 'Poslední známka, kterou uživatel získal';
$string['privacy:metadata:enrol_lti_users:timecreated'] = 'Čas zápisu uživatele';
$string['privacy:metadata:enrol_lti_users:userid'] = 'ID uživatele';
$string['provisioningmode'] = 'Režim poskytování';
$string['provisioningmode_help'] = 'Toto nastavení určuje, jak se bude nakládat s účty při prvním spuštění. Je podporováno několik režimů:
<ul>
<li>Pouze nové účty (automaticky). Účty budou automaticky vytvořeny pro uživatele spouštějící z platformy. Toto je výchozí nastavení pro spouštění studentů.</li>
<li>Stávající a nové účty (výzva). Uživatel bude mít na výběr, co má dělat. Mohou se rozhodnout propojit stávající účet nebo si nechat vytvořit účet nový. Toto je nejflexibilnější možnost a výchozí nastavení pro spouštění aplikace Učitel.</li>
<li>Pouze stávající účty (výzva). Uživatel bude požádán o propojení existujícího účtu a bez toho nebude mít přístup ke zdrojům nástroje.</li>
 </ul>';
$string['provisioningmodestudentlaunch'] = 'Student nejprve spustí režim poskytování';
$string['provisioningmodeteacherlaunch'] = 'Učitel nejprve spustí režim poskytování';
$string['publishedcontent'] = 'Publikovaný obsah';
$string['publishedcontent_help'] = 'Publikovaný zdroj nebo aktivitu lze použít na registrovaných platformách prostřednictvím toku pro výběr obsahu (přímé odkazy). Odkaz na zdroj lze navíc na platformě vytvořit ručně pomocí spouštěcí adresy URL a poskytnutých vlastních vlastností.';
$string['registeredplatforms'] = 'Registrované platformy';
$string['registeredplatformsltiversionnotice'] = 'Níže uvedené platformy jsou registrovány pro komunikaci LTI 1.3. U starších verzí není registrace spotřebitele vyžadována.';
$string['registerplatform:accesstokenurl'] = 'Adresa URL přístupového tokenu';
$string['registerplatform:accesstokenurl_help'] = 'Adresa URL, na kterou bude nástroj odesílat požadavky na přístupový token. Poskytne je platforma.';
$string['registerplatform:authrequesturl'] = 'Adresa URL požadavku na autentizaci';
$string['registerplatform:authrequesturl_help'] = 'Adresa URL, na kterou nástroj odešle požadavky na ověření OpenID Connect. Poskytne ji platforma.';
$string['registerplatform:clientid'] = 'ID klienta';
$string['registerplatform:clientid_help'] = 'Řetězec používaný k identifikaci registrace nástroje na platformě. Poskytne jej platforma.';
$string['registerplatform:duplicateregistrationerror'] = 'Neplatné ID klienta. Toto ID klienta je již zaregistrováno pro poskytnuté ID platformy.';
$string['registerplatform:invalidurlerror'] = 'Neplatná URL. Zahrnuli jste http:// nebo https://?';
$string['registerplatform:jwksurl'] = 'Adresa URL veřejné sady klíčů';
$string['registerplatform:jwksurl_help'] = 'Veřejná sada klíčů nebo adresa URL JWKS, která se používá k získání veřejného klíče platformy. Poskytne je platforma.';
$string['registerplatform:name'] = 'Název platformy';
$string['registerplatform:name_help'] = 'Krátký název popisující platformu. Název lze kdykoli změnit.';
$string['registerplatform:platformid'] = 'ID platformy (vydavatel)';
$string['registerplatform:platformid_help'] = 'Adresa URL identifikující vzdělávací platformu třetí strany. Poskytne ji platforma.';
$string['registerplatformadd'] = 'Zaregistrovat platformu';
$string['registerplatformaddnotice'] = 'Byla přidána registrace platformy';
$string['registerplatformdelete'] = 'Odstranit registraci platformy';
$string['registerplatformdeleteconfirm'] = 'Opravdu chcete odstranit registraci pro platformu "{$a}"? Tím také odstraníte všechna nasazení nástrojů uložená proti této registraci.';
$string['registerplatformdeletenotice'] = 'Registrace platformy byla odstraněna';
$string['registerplatformedit'] = 'Upravit registraci';
$string['registerplatformeditnotice'] = 'Registrace platformy aktualizována';
$string['registration'] = 'Publikovaný registrační nástroj';
$string['registrationdeeplinklabel'] = 'Přidat obsah z {$a}';
$string['registrationdynamic'] = 'Dynamická registrace';
$string['registrationmanual'] = 'Ruční registrace';
$string['registrationresourcelinklabel'] = 'Spustit obsah z {$a}';
$string['registrationstatus'] = 'Status';
$string['registrationstatusactive'] = 'Aktivní';
$string['registrationstatuspending'] = 'Čekající';
$string['registrationurl'] = 'Registrační URL';
$string['registrationurl_help'] = 'Použije-li se URL registrace (nazývaný také proxy URL), pak je nástroj automaticky nakonfigurován.';
$string['registrationurlinfomessage'] = 'Pokud platforma podporuje dynamickou registraci, použijte registrační URL níže. Další informace o dynamické registraci naleznete v dokumentaci <a href="{$a}">Nástroj Publikovat jako LTI</a>.';
$string['remotesystem'] = 'Vzdálený systém';
$string['requirecompletion'] = 'Před synchronizací hodnocení vyžaduje ukončení  kurzu nebo činnosti';
$string['returnurlnotset'] = 'Nebylo nastaveno URL návratu.';
$string['roleinstructor'] = 'Role učitele';
$string['roleinstructor_help'] = 'Přidělená role pro vzdáleného učitele.';
$string['rolelearner'] = 'Role studenta';
$string['rolelearner_help'] = 'Přidělená role pro vzdáleného studenta.';
$string['secret'] = 'Sdílený klíč';
$string['secret_help'] = 'Řetězec znaků, která je sdílen se vzdáleným systémem (LTI spotřebitel) k poskytování přístupu k nástroji.';
$string['sharedexternaltools'] = 'Publikovat jako externí nástroje';
$string['successfulregistration'] = 'Úspěšná registrace';
$string['tasksyncgrades'] = 'Publikovat jako externí nástroj synchronizace hodnocení';
$string['tasksyncmembers'] = 'Publikovat jako externí nástroj synchronizace uživatelů';
$string['tooldetails'] = 'Detaily nástroje';
$string['toolsprovided'] = 'Publikované nástroje';
$string['toolsprovided_help'] = 'Nástroj může být sdílen s jinou webovou stránkou poskytnutím podrobností spuštění nebo registrační adresy URL.';
$string['tooltobeprovided'] = 'Nástroj, který má být zveřejněn';
$string['toolurl'] = 'URL nástroje';
$string['userdefaultvalues'] = 'Výchozí hodnota uživatele';
$string['viewplatformdetails'] = 'Zobrazit podrobnosti o platformě';
$string['viewtoolendpoints'] = 'Zobrazit koncové body nástroje';
